POST
/
v1
/
learnings
cURL
curl -X POST 'https://api.growthbook.io/api/v1/learnings' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/learnings"
payload = {
"title": "<string>",
"text": "<string>",
"tags": ["<string>"],
"supportingExperimentIds": ["<string>"],
"contradictingExperimentIds": ["<string>"],
"projects": ["<string>"],
"status": "<string>",
"owner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
text: '<string>',
tags: ['<string>'],
supportingExperimentIds: ['<string>'],
contradictingExperimentIds: ['<string>'],
projects: ['<string>'],
status: '<string>',
owner: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/learnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"learning": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"authors": [
"<string>"
],
"title": "<string>",
"text": "<string>",
"tags": [
"<string>"
],
"supportingExperimentIds": [
"<string>"
],
"contradictingExperimentIds": [
"<string>"
],
"projects": [
"<string>"
],
"status": "<string>",
"source": "ai",
"ownerEmail": "<string>"
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Body
application/json
ID of a learning status configured at the org level (Settings → General → Experiment Settings). Omit or pass an empty string for no status.
The userId or email address of the owner. If an email address is provided, it will be used to look up the userId of the matching organization member. If an ID is provided, it will be validated as existing in the organization.
Response
200 - application/json
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/learnings' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/learnings"
payload = {
"title": "<string>",
"text": "<string>",
"tags": ["<string>"],
"supportingExperimentIds": ["<string>"],
"contradictingExperimentIds": ["<string>"],
"projects": ["<string>"],
"status": "<string>",
"owner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
text: '<string>',
tags: ['<string>'],
supportingExperimentIds: ['<string>'],
contradictingExperimentIds: ['<string>'],
projects: ['<string>'],
status: '<string>',
owner: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/learnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"learning": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"authors": [
"<string>"
],
"title": "<string>",
"text": "<string>",
"tags": [
"<string>"
],
"supportingExperimentIds": [
"<string>"
],
"contradictingExperimentIds": [
"<string>"
],
"projects": [
"<string>"
],
"status": "<string>",
"source": "ai",
"ownerEmail": "<string>"
}
}
